Page MenuHomePhabricator

Cross-wiki-upload adds "null" as author
Closed, ResolvedPublic

Description

Cross-wiki-uploader added:

author=[[User:null|null]]

instead of attributing the user. No-one is named null, os there must be a bug in the uploading system which creates attribution problems.

Event Timeline

Josve05a raised the priority of this task from to Needs Triage.
Josve05a updated the task description. (Show Details)
Josve05a added a subscriber: Josve05a.
Josve05a renamed this task from Cross-wiki-upload to Cross-wiki-upload adds "null" as author.Dec 10 2015, 12:50 PM
Josve05a set Security to None.
This comment was removed by Josve05a.
Josve05a updated the task description. (Show Details)Dec 10 2015, 5:06 PM
Josve05a updated the task description. (Show Details)
Yann added a subscriber: Yann.Dec 10 2015, 6:20 PM
zhuyifei1999 moved this task from Incoming to Uploading on the Commons board.Dec 11 2015, 8:42 AM

So, that's 193 files with this issue, apparently most uploaded via the cross-wiki tool.

As far as I can tell, there should be only one way to trigger this:

  • Be logged out
  • Open an article for editing on any wiki
  • In another browser tab, log in on that wiki
  • In the original tab, without refreshing the page, upload an image

I'm not sure if people would actually do this often enough to generate this many uploads, or if something else is broken…

matmarex triaged this task as High priority.Dec 18 2015, 9:45 PM

Change 260402 had a related patch set uploaded (by Bartosz Dziewoński):
mw.ForeignStructuredUpload: Prevent 'null' author name if dialog opened when not logged in

https://gerrit.wikimedia.org/r/260402

Change 260402 merged by jenkins-bot:
mw.ForeignStructuredUpload: Prevent 'null' author name if dialog opened when not logged in

https://gerrit.wikimedia.org/r/260402

Prtksxna closed this task as Resolved.Dec 22 2015, 4:49 AM
Prtksxna added a subscriber: Prtksxna.

I have corrected the problematic uploads on Commons: https://commons.wikimedia.org/w/index.php?title=Special:Contributions/Matma_Rex&dir=prev&offset=20160119213820&limit=250&target=Matma+Rex (exactly 250, as it happens).

Seven more files (https://commons.wikimedia.org/w/index.php?title=Special:WhatLinksHere/User:Null&namespace=6) appear to be affected by some similar bugs in other tools. They're all pretty old though.